Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.oil2
Class OIL2ServerILService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.il.ServerILJMXService
                  org.jboss.mq.il.oil2.OIL2ServerILService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, OIL2ServerILServiceMBean, Runnable, ServerILJMXServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public final class OIL2ServerILService
extends ServerILJMXService
implements Runnable, OIL2ServerILServiceMBean

Implements the ServerILJMXService which is used to manage the OIL2 IL.

Version:
  $Revision: 1.22 $
Author:
  Hiram Chirino

Nested Class Summary
`class` | `OIL2ServerILService.RequestListner`

Field Summary

Fields inherited from class org.jboss.mq.il.ServerILJMXService
`clientID, connectionFactoryJNDIRef, pingPeriod, xaConnectionFactoryJNDIRef`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`OIL2ServerILService()`

Method Summary
`String` | `getBindAddress()` Get the interface address the OIL server bind its listening port on.
`Properties` | `getClientConnectionProperties()` Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it) Sets up the connection properties need by a client to use this IL
`String` | `getClientSocketFactory()` Get the javax.net.SocketFactory implementation class to use on the client.
`boolean` | `getEnableTcpNoDelay()` Gets the enableTcpNoDelay.
`String` | `getName()` Gives this JMX service a name.
`String` | `getSecurityDomain()` Get the security domain name to use with SSL aware socket factories
`int` | `getServerBindPort()` Getter for property serverBindPort.
`ServerIL` | `getServerIL()` Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it)
`String` | `getServerSocketFactory()` Get the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.
`void` | `run()` Main processing method for the OILServerILService object
`void` | `setBindAddress(String host)` Set the interface address the OIL server bind its listening port on.
`void` | `setClientSocketFactory(String name)` Set the javax.net.SocketFactory implementation class to use on the client.
`void` | `setEnableTcpNoDelay(boolean enableTcpNoDelay)` Sets the enableTcpNoDelay.
`void` | `setSecurityDomain(String domainName)` Set the security domain name to use with SSL aware socket factories
`void` | `setServerBindPort(int serverBindPort)` Setter for property serverBindPort.
`void` | `setServerSocketFactory(String name)` Set the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.
`void` | `startService()` Starts this IL, and binds it to JNDI
`void` | `stopService()` Stops this IL, and unbinds it from JNDI.

Methods inherited from class org.jboss.mq.il.ServerILJMXService
`bindJNDIReferences, getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, lookupJMSServer, rebind, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef, unbindJNDIReferences`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.il.ServerILJMXServiceMBean
`getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### OIL2ServerILService

    public OIL2ServerILService()

Method Detail

### getClientConnectionProperties

    public Properties getClientConnectionProperties()

  Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it) Sets up the connection properties need by a client to use this IL

  Overrides:
    `getClientConnectionProperties` in class `ServerILJMXService`
  Returns:
    The ClientConnectionProperties value

### getName

    public String getName()

  Gives this JMX service a name.

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`
  Returns:
    The Name value

### getServerIL

    public ServerIL getServerIL()

  Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it)

  Specified by:
    `getServerIL` in class `ServerILJMXService`
  Returns:
    The ServerIL value

### run

    public void run()

  Main processing method for the OILServerILService object

  Specified by:
    `run` in interface `Runnable`

### startService

    public void startService()
                      throws Exception

  Starts this IL, and binds it to JNDI

  Overrides:
    `startService` in class `ServerILJMXService`
  Throws:
    `Exception` - Description of Exception

### stopService

    public void stopService()

  Stops this IL, and unbinds it from JNDI.

  Overrides:
    `stopService` in class `ServerILJMXService`

### getServerBindPort

    public int getServerBindPort()

  Getter for property serverBindPort.

  Specified by:
    `getServerBindPort` in interface `OIL2ServerILServiceMBean`
  Returns:
    Value of property serverBindPort.

### setServerBindPort

    public void setServerBindPort(int serverBindPort)

  Setter for property serverBindPort.

  Specified by:
    `setServerBindPort` in interface `OIL2ServerILServiceMBean`
  Parameters:
    `serverBindPort` - New value of property serverBindPort.

### getBindAddress

    public String getBindAddress()

  Get the interface address the OIL server bind its listening port on.

  Specified by:
    `getBindAddress` in interface `OIL2ServerILServiceMBean`
  Returns:
    The hostname or dotted decimal address that the service is bound to.

### setBindAddress

    public void setBindAddress(String host)
                        throws UnknownHostException

  Set the interface address the OIL server bind its listening port on.

  Specified by:
    `setBindAddress` in interface `OIL2ServerILServiceMBean`
  Parameters:
    `host` - The host address to bind to, if any.
  Throws:
    `UnknownHostException` - Thrown if the hostname cannot be resolved to an InetAddress object.

### getEnableTcpNoDelay

    public boolean getEnableTcpNoDelay()

  Gets the enableTcpNoDelay.

  Specified by:
    `getEnableTcpNoDelay` in interface `OIL2ServerILServiceMBean`
  Returns:
    Returns a boolean

### setEnableTcpNoDelay

    public void setEnableTcpNoDelay(boolean enableTcpNoDelay)

  Sets the enableTcpNoDelay.

  Specified by:
    `setEnableTcpNoDelay` in interface `OIL2ServerILServiceMBean`
  Parameters:
    `enableTcpNoDelay` - The enableTcpNoDelay to set

### getClientSocketFactory

    public String getClientSocketFactory()

  Get the javax.net.SocketFactory implementation class to use on the client.

  Specified by:
    `getClientSocketFactory` in interface `OIL2ServerILServiceMBean`

### setClientSocketFactory

    public void setClientSocketFactory(String name)

  Set the javax.net.SocketFactory implementation class to use on the client.

  Specified by:
    `setClientSocketFactory` in interface `OIL2ServerILServiceMBean`

### setServerSocketFactory

    public void setServerSocketFactory(String name)
                                throws Exception

  Set the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.

  Specified by:
    `setServerSocketFactory` in interface `OIL2ServerILServiceMBean`
  Throws:
    `Exception`

### getServerSocketFactory

    public String getServerSocketFactory()

  Get the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.

  Specified by:
    `getServerSocketFactory` in interface `OIL2ServerILServiceMBean`

### setSecurityDomain

    public void setSecurityDomain(String domainName)

  Set the security domain name to use with SSL aware socket factories

  Specified by:
    `setSecurityDomain` in interface `OIL2ServerILServiceMBean`

### getSecurityDomain

    public String getSecurityDomain()

  Get the security domain name to use with SSL aware socket factories

  Specified by:
    `getSecurityDomain` in interface `OIL2ServerILServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.